Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.jdbc
Class DataSourceBean

    java.lang.Object
      com.atomikos.jdbc.DataSourceBean

All Implemented Interfaces:
  HeuristicDataSource, Serializable, Referenceable, DataSource

Deprecated. As of release 3.3, the `AtomikosDataSourceBean` should be used instead.

    public class DataSourceBean

extends Object
implements HeuristicDataSource, Serializable, Referenceable

See Also:
  Serialized Form

Constructor Summary
`DataSourceBean()` Deprecated.

Method Summary
`void` | `close()` Deprecated.
`Connection` | `getConnection()` Deprecated.
`Connection` | `getConnection(HeuristicMessage msg)` Deprecated. Get a connection to the datasource for the given description of the work.
`Connection` | `getConnection(String msg)` Deprecated. Get a connection to the datasource for the given description of the work.
`Connection` | `getConnection(String user, String pw)` Deprecated.
`Connection` | `getConnection(String user, String pw, HeuristicMessage msg)` Deprecated. Get a connection to the datasource for the given description of the work.
`Connection` | `getConnection(String user, String passwd, String msg)` Deprecated. Get a connection to the datasource for the given description of the work.
`String` | `getConnectionPoolSize()` Deprecated.
`String` | `getConnectionTimeout()` Deprecated.
`String` | `getDataSourceName()` Deprecated.
`int` | `getLoginTimeout()` Deprecated.
`PrintWriter` | `getLogWriter()` Deprecated.
`Reference` | `getReference()` Deprecated.
`String` | `getTestOnBorrow()` Deprecated.
`TransactionalResource` | `getTransactionalResource()` Deprecated.
`String` | `getUniqueResourceName()` Deprecated.
`String` | `getValidatingQuery()` Deprecated.
`XADataSource` | `getXaDataSource()` Deprecated.
`String` | `getXidFormat()` Deprecated.
`String` | `isExclusiveConnectionMode()` Deprecated.
`void` | `setConnectionPoolSize(String poolSize)` Deprecated.
`void` | `setConnectionTimeout(String timeout)` Deprecated.
`void` | `setDataSourceName(String name)` Deprecated.
`void` | `setExclusiveConnectionMode(String mode)` Deprecated.
`void` | `setLoginTimeout(int seconds)` Deprecated.
`void` | `setLogWriter(PrintWriter out)` Deprecated.
`void` | `setTestOnBorrow(String value)` Deprecated.
`void` | `setUniqueResourceName(String resourceName)` Deprecated.
`void` | `setValidatingQuery(String query)` Deprecated.
`void` | `setXaDataSource(XADataSource xads)` Deprecated.
`void` | `setXidFormat(String factory)` Deprecated.
`void` | `validate()` Deprecated. Perform validation based on the validating query.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceBean

    public DataSourceBean()

  Deprecated.

Method Detail

### setTestOnBorrow

    public void setTestOnBorrow(String value)

  Deprecated.

### getTestOnBorrow

    public String getTestOnBorrow()

  Deprecated.

### setDataSourceName

    public void setDataSourceName(String name)

  Deprecated.

### getDataSourceName

    public String getDataSourceName()

  Deprecated.

### setXaDataSource

    public void setXaDataSource(XADataSource xads)

  Deprecated.

### getXaDataSource

    public XADataSource getXaDataSource()

  Deprecated.

### setUniqueResourceName

    public void setUniqueResourceName(String resourceName)

  Deprecated.

### getUniqueResourceName

    public String getUniqueResourceName()

  Deprecated.

### setXidFormat

    public void setXidFormat(String factory)

  Deprecated.

### getXidFormat

    public String getXidFormat()

  Deprecated.

### setConnectionPoolSize

    public void setConnectionPoolSize(String poolSize)

  Deprecated.

### getConnectionPoolSize

    public String getConnectionPoolSize()

  Deprecated.

### setConnectionTimeout

    public void setConnectionTimeout(String timeout)

  Deprecated.

### getConnectionTimeout

    public String getConnectionTimeout()

  Deprecated.

### setExclusiveConnectionMode

    public void setExclusiveConnectionMode(String mode)

  Deprecated.

### isExclusiveConnectionMode

    public String isExclusiveConnectionMode()

  Deprecated.

### getTransactionalResource

    public TransactionalResource getTransactionalResource()

  Deprecated.

### setValidatingQuery

    public void setValidatingQuery(String query)

  Deprecated.

### getValidatingQuery

    public String getValidatingQuery()

  Deprecated.

### validate

    public void validate()
                  throws SQLException

  Deprecated.
  Perform validation based on the validating query. This method does nothing if no query was specified.

  Throws:
    `SQLException` - If validation fails.

### getConnection

    public Connection getConnection()
                             throws SQLException

  Deprecated.
  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection(String user,
                                    String pw)
                             throws SQLException

  Deprecated.
  Specified by:
    `getConnection` in interface `DataSource`
  Throws:
    `SQLException`

### getConnection

    public Connection getConnection(HeuristicMessage msg)
                             throws SQLException

  Deprecated.
  Description copied from interface: `HeuristicDataSource`
  Get a connection to the datasource for the given description of the work.

  Specified by:
    `getConnection` in interface `HeuristicDataSource`
  Parameters:
    `msg` - The heuristic message that best describes the work about to be done.
  Returns:
    Connection The connection.
  Throws:
    `SQLException` - On error.

### getConnection

    public Connection getConnection(String msg)
                             throws SQLException

  Deprecated.
  Description copied from interface: `HeuristicDataSource`
  Get a connection to the datasource for the given description of the work.

  Specified by:
    `getConnection` in interface `HeuristicDataSource`
  Parameters:
    `msg` - The heuristic message that best describes the work about to be done.
  Returns:
    Connection The connection.
  Throws:
    `SQLException` - On error.

### getConnection

    public Connection getConnection(String user,
                                    String passwd,
                                    String msg)
                             throws SQLException

  Deprecated.
  Description copied from interface: `HeuristicDataSource`
  Get a connection to the datasource for the given description of the work.

  Specified by:
    `getConnection` in interface `HeuristicDataSource`
  Parameters:
    `user` - The user name to use.
    `passwd` - The password.
    `msg` - The heuristic message that best describes the work about to be done.
  Returns:
    Connection The connection.
  Throws:
    `SQLException` - On error.

### getConnection

    public Connection getConnection(String user,
                                    String pw,
                                    HeuristicMessage msg)
                             throws SQLException

  Deprecated.
  Description copied from interface: `HeuristicDataSource`
  Get a connection to the datasource for the given description of the work.

  Specified by:
    `getConnection` in interface `HeuristicDataSource`
  Parameters:
    `user` - The user name to use.
    `pw` - The password.
    `msg` - The heuristic message that best describes the work about to be done.
  Returns:
    Connection The connection.
  Throws:
    `SQLException` - On error.

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Deprecated.
  Specified by:
    `getLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Deprecated.
  Specified by:
    `getLogWriter` in interface `DataSource`
  Throws:
    `SQLException`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws SQLException

  Deprecated.
  Specified by:
    `setLoginTimeout` in interface `DataSource`
  Throws:
    `SQLException`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws SQLException

  Deprecated.
  Specified by:
    `setLogWriter` in interface `DataSource`
  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Deprecated.
  Throws:
    `SQLException`

### getReference

    public Reference getReference()
                           throws NamingException

  Deprecated.
  Specified by:
    `getReference` in interface `Referenceable`
  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.